> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get visibility history using the compact brand route



## OpenAPI

````yaml /openapi.json get /api/v1/w/{brand}/timeseries
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/w/{brand}/timeseries:
    get:
      summary: Get visibility history using the compact brand route
      operationId: getBrandTimeseries
      parameters:
        - name: brand
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
        - name: engine
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            default: composite
        - name: range
          in: query
          required: false
          schema:
            type: string
            enum:
              - 7d
              - 28d
              - all
            default: 28d
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Timeseries'
      security:
        - cookieAuth: []
        - bearerAuth:
            - metrics:read
components:
  schemas:
    Timeseries:
      type: object
      properties:
        workspace:
          type: string
        range:
          type: string
          enum:
            - 7d
            - 28d
            - all
        selectedEngine:
          type: string
        availableEngines:
          type: array
          items:
            type: string
        series:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              label:
                type: string
              metric:
                type: string
                enum:
                  - composite_visibility
                  - visibility
              points:
                type: array
                items:
                  type: object
                  properties:
                    date:
                      type: string
                    value:
                      type: number
                      nullable: true
                    'n':
                      type: integer
                      nullable: true
                  required:
                    - date
                    - value
                    - 'n'
                  additionalProperties: false
            required:
              - id
              - label
              - metric
              - points
            additionalProperties: false
      required:
        - workspace
        - range
        - selectedEngine
        - availableEngines
        - series
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````